#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
$Id$

Copyright 2010 Lode Leroy

This file is part of pyMKcam.

pyMKcam is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

pyMKcam is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with pyMKcam.  If not, see <http://www.gnu.org/licenses/>.
"""

import sys, time 
sys.path.insert(0,'.')


from pymkcam.Importers import STLImporter
from pymkcam.Gui.Visualization import ShowTestScene


if len(sys.argv)>1:
    filename = sys.argv[1]
else:
    filename = "Samples/STL/TestModel.stl"

start = time.clock()
model = STLImporter.ImportModel(filename)
end = time.clock()

print "time=", (end-start)

#ShowTestScene(model)

